import { useLoginStore } from './modules/login'
import { useUserStore } from './modules/user'
import { useThemeStore } from './modules/theme'
import { useMenuStore } from './modules/menu'
import { useAccountStore } from './modules/account'
import { useFuturesStore } from './modules/futures'
import { useLanguageStore } from './modules/language'
import { useEnumStore } from './modules/enum'
import { useErrorInfoStore } from './modules/errorInfo'
import { useFavoriteStore } from './modules/favorite'
import { useTableColumnStore } from './modules/tableColumn'
import { usePerformanceStore } from './modules/performance'
import { useExrateStore } from './modules/exrate'

export {
    useLoginStore,
    useUserStore,
    useThemeStore,
    useMenuStore,
    useAccountStore,
    useFuturesStore,
    useLanguageStore,
    useEnumStore,
    useErrorInfoStore,
    useFavoriteStore,
    useTableColumnStore,
    usePerformanceStore,
    useExrateStore,
}

export function useStore() {
    return {
        loginStore: useLoginStore(),
        userStore: useUserStore(),
        themeStore: useThemeStore(),
        menuStore: useMenuStore(),
        accountStore: useAccountStore(),
        futuresStore: useFuturesStore(),
        languageStore: useLanguageStore(),
        enumStore: useEnumStore(),
        errorInfoStore: useErrorInfoStore(),
        favoriteStore: useFavoriteStore(),
        tableColumnStore: useTableColumnStore(),
        performanceStore: usePerformanceStore(),
        exrateStore: useExrateStore(),
    }
}